diff --git a/flags/14.0/vtgr.txt b/flags/15.0/vtgr.txt
index a4c928e..75e7b0a 100644
--- a/flags/14.0/vtgr.txt
+++ b/flags/15.0/vtgr.txt
@@ -1,111 +1,72 @@
 Usage of vtgr:
-      --abort_rebootstrap                                                don't allow vtgr to rebootstrap an existing group
-      --alsologtostderr                                                  log to standard error as well as files
-      --catch-sigpipe                                                    catch and ignore SIGPIPE on stdout and stderr if specified
-      --clusters_to_watch string                                         Comma-separated list of keyspaces or keyspace/shards that this instance will monitor and repair. Defaults to all clusters in the topology. Example: "ks1,ks2/-80"
-      --consul_auth_static_file string                                   JSON File to read the topos/tokens from.
-      --cpu_profile string                                               deprecated: use '-pprof=cpu' instead
-      --datadog-agent-host string                                        host to send spans to. if empty, no tracing will be done
-      --datadog-agent-port string                                        port to send spans to. if empty, no tracing will be done
-      --db_config string                                                 full path to db config file that will be used by VTGR
-      --db_flavor string                                                 mysql flavor override (default MySQL56)
-      --db_port int                                                      local mysql port, set this to enable local fast check
-      --emit_stats                                                       If set, emit stats to push-based monitoring and stats backends
-      --enable_heartbeat_check                                           enable heartbeat checking, set together with -group_heartbeat_threshold
-      --gr_port int                                                      port to bootstrap a mysql group (default 33061)
-      --group_heartbeat_threshold int                                    VTGR will trigger backoff on inconsistent state if the group heartbeat staleness exceeds this threshold (in seconds). Should be used along with -enable_heartbeat_check
-      --grpc_auth_mode string                                            Which auth plugin implementation to use (eg: static)
-      --grpc_auth_mtls_allowed_substrings string                         List of substrings of at least one of the client certificate names (separated by colon).
-      --grpc_auth_static_client_creds string                             when using grpc_static_auth in the server, this file provides the credentials to use to authenticate with server
-      --grpc_auth_static_password_file string                            JSON File to read the users/passwords from.
-      --grpc_ca string                                                   server CA to use for gRPC connections, requires TLS, and enforces client certificate check
-      --grpc_cert string                                                 server certificate to use for gRPC connections, requires grpc_key, enables TLS
-      --grpc_compression string                                          Which protocol to use for compressing gRPC. Default: nothing. Supported: snappy
-      --grpc_crl string                                                  path to a certificate revocation list in PEM format, client certificates will be further verified against this file during TLS handshake
-      --grpc_enable_optional_tls                                         enable optional TLS mode when a server accepts both TLS and plain-text connections on the same port
-      --grpc_enable_tracing                                              Enable GRPC tracing
-      --grpc_initial_conn_window_size int                                gRPC initial connection window size
-      --grpc_initial_window_size int                                     gRPC initial window size
-      --grpc_keepalive_time duration                                     After a duration of this time, if the client doesn't see any activity, it pings the server to see if the transport is still alive. (default 10s)
-      --grpc_keepalive_timeout duration                                  After having pinged for keepalive check, the client waits for a duration of Timeout and if no activity is seen even after that the connection is closed. (default 10s)
-      --grpc_key string                                                  server private key to use for gRPC connections, requires grpc_cert, enables TLS
-      --grpc_max_connection_age duration                                 Maximum age of a client connection before GoAway is sent. (default 2562047h47m16.854775807s)
-      --grpc_max_connection_age_grace duration                           Additional grace period after grpc_max_connection_age, after which connections are forcibly closed. (default 2562047h47m16.854775807s)
-      --grpc_max_message_size int                                        Maximum allowed RPC message size. Larger messages will be rejected by gRPC with the error 'exceeding the max size'. (default 16777216)
-      --grpc_port int                                                    Port to listen on for gRPC calls
-      --grpc_prometheus                                                  Enable gRPC monitoring with Prometheus
-      --grpc_server_ca string                                            path to server CA in PEM format, which will be combine with server cert, return full certificate chain to clients
-      --grpc_server_initial_conn_window_size int                         gRPC server initial connection window size
-      --grpc_server_initial_window_size int                              gRPC server initial window size
-      --grpc_server_keepalive_enforcement_policy_min_time duration       gRPC server minimum keepalive time (default 10s)
-      --grpc_server_keepalive_enforcement_policy_permit_without_stream   gRPC server permit client keepalive pings even when there are no active streams (RPCs)
-      --jaeger-agent-host string                                         host and port to send spans to. if empty, no tracing will be done
-      --keep_logs duration                                               keep logs for this long (using ctime) (zero to keep forever)
-      --keep_logs_by_mtime duration                                      keep logs for this long (using mtime) (zero to keep forever)
-      --lameduck-period duration                                         keep running at least this long after SIGTERM before stopping (default 50ms)
-      --log_backtrace_at value                                           when logging hits line file:N, emit a stack trace
-      --log_dir string                                                   If non-empty, write log files in this directory
-      --log_err_stacks                                                   log stack traces for errors
-      --log_rotate_max_size uint                                         size in bytes at which logs are rotated (glog.MaxSize) (default 1887436800)
-      --logtostderr                                                      log to standard error instead of files
-      --mem-profile-rate int                                             deprecated: use '-pprof=mem' instead (default 524288)
-      --mutex-profile-fraction int                                       deprecated: use '-pprof=mutex' instead
-      --mysql_auth_server_static_file string                             JSON File to read the users/passwords from.
-      --mysql_auth_server_static_string string                           JSON representation of the users/passwords config.
-      --mysql_auth_static_reload_interval duration                       Ticker to reload credentials
-      --mysql_clientcert_auth_method string                              client-side authentication method to use. Supported values: mysql_clear_password, dialog. (default mysql_clear_password)
-      --mysql_server_flush_delay duration                                Delay after which buffered response will be flushed to the client. (default 100ms)
-      --mysql_server_version string                                      MySQL server version to advertise.
-      --onclose_timeout duration                                         wait no more than this for OnClose handlers before stopping (default 1ns)
-      --onterm_timeout duration                                          wait no more than this for OnTermSync handlers before stopping (default 10s)
-      --pid_file string                                                  If set, the process will write its pid to the named file, and delete it on graceful shutdown.
-      --ping_tablet_timeout duration                                     time to wait when we ping a tablet (default 2s)
-      --pprof string                                                     enable profiling
-      --purge_logs_interval duration                                     how often try to remove old logs (default 1h0m0s)
-      --refresh_interval duration                                        refresh interval to load tablets (default 10s)
-      --remote_operation_timeout duration                                time to wait for a remote operation (default 30s)
-      --scan_interval duration                                           scan interval to diagnose and repair (default 3s)
-      --scan_repair_timeout duration                                     time to wait for a Diagnose and repair operation (default 3s)
-      --security_policy string                                           the name of a registered security policy to use for controlling access to URLs - empty means allow all for anyone (built-in policies: deny-all, read-only)
-      --service_map value                                                comma separated list of services to enable (or disable if prefixed with '-') Example: grpc-vtworker
-      --sql-max-length-errors int                                        truncate queries in error logs to the given length (default unlimited)
-      --sql-max-length-ui int                                            truncate queries in debug UIs to the given length (default 512) (default 512)
-      --stats_backend string                                             The name of the registered push-based monitoring/stats backend to use
-      --stats_combine_dimensions string                                  List of dimensions to be combined into a single "all" value in exported stats vars
-      --stats_common_tags string                                         Comma-separated list of common tags for the stats backend. It provides both label and values. Example: label1:value1,label2:value2
-      --stats_drop_variables string                                      Variables to be dropped from the list of exported variables.
-      --stats_emit_period duration                                       Interval between emitting stats to all registered backends (default 1m0s)
-      --stderrthreshold value                                            logs at or above this threshold go to stderr (default 1)
-      --tablet_manager_grpc_ca string                                    the server ca to use to validate servers when connecting
-      --tablet_manager_grpc_cert string                                  the cert to use to connect
-      --tablet_manager_grpc_concurrency int                              concurrency to use to talk to a vttablet server for performance-sensitive RPCs (like ExecuteFetchAs{Dba,AllPrivs,App}) (default 8)
-      --tablet_manager_grpc_connpool_size int                            number of tablets to keep tmclient connections open to (default 100)
-      --tablet_manager_grpc_crl string                                   the server crl to use to validate server certificates when connecting
-      --tablet_manager_grpc_key string                                   the key to use to connect
-      --tablet_manager_grpc_server_name string                           the server name to use to validate server certificate
-      --tablet_manager_protocol string                                   the protocol to use to talk to vttablet (default grpc)
-      --topo_consul_lock_delay duration                                  LockDelay for consul session. (default 15s)
-      --topo_consul_lock_session_checks string                           List of checks for consul session. (default serfHealth)
-      --topo_consul_lock_session_ttl string                              TTL for consul session.
-      --topo_consul_watch_poll_duration duration                         time of the long poll for watch queries. (default 30s)
-      --topo_etcd_lease_ttl int                                          Lease TTL for locks and leader election. The client will use KeepAlive to keep the lease going. (default 30)
-      --topo_etcd_tls_ca string                                          path to the ca to use to validate the server cert when connecting to the etcd topo server
-      --topo_etcd_tls_cert string                                        path to the client cert to use to connect to the etcd topo server, requires topo_etcd_tls_key, enables TLS
-      --topo_etcd_tls_key string                                         path to the client key to use to connect to the etcd topo server, enables TLS
-      --topo_global_root string                                          the path of the global topology data in the global topology server
-      --topo_global_server_address string                                the address of the global topology server
-      --topo_implementation string                                       the topology implementation to use
-      --topo_zk_auth_file string                                         auth to use when connecting to the zk topo server, file contents should be <scheme>:<auth>, e.g., digest:user:pass
-      --topo_zk_base_timeout duration                                    zk base timeout (see zk.Connect) (default 30s)
-      --topo_zk_max_concurrency int                                      maximum number of pending requests to send to a Zookeeper server. (default 64)
-      --topo_zk_tls_ca string                                            the server ca to use to validate servers when connecting to the zk topo server
-      --topo_zk_tls_cert string                                          the cert to use to connect to the zk topo server, requires topo_zk_tls_key, enables TLS
-      --topo_zk_tls_key string                                           the key to use to connect to the zk topo server, enables TLS
-      --tracer string                                                    tracing service to use (default noop)
-      --tracing-enable-logging                                           whether to enable logging in the tracing service
-      --tracing-sampling-rate value                                      sampling rate for the probabilistic jaeger sampler (default 0.1)
-      --tracing-sampling-type value                                      sampling strategy to use for jaeger. possible values are 'const', 'probabilistic', 'rateLimiting', or 'remote' (default const)
-      --v value                                                          log level for V logs
-      --version                                                          print binary version
-      --vmodule value                                                    comma-separated list of pattern=N settings for file-filtered logging
-      --vtgr_config string                                               config file for vtgr
+      --abort_rebootstrap                          Don't allow vtgr to rebootstrap an existing group.
+      --alsologtostderr                            log to standard error as well as files
+      --clusters_to_watch strings                  Comma-separated list of keyspaces or keyspace/shards that this instance will monitor and repair. Defaults to all clusters in the topology. Example: "ks1,ks2/-80"
+      --consul_auth_static_file string             JSON File to read the topos/tokens from.
+      --db_config string                           Full path to db config file that will be used by VTGR.
+      --db_flavor string                           MySQL flavor override. (default "MySQL56")
+      --db_port int                                Local mysql port, set this to enable local fast check.
+      --emit_stats                                 If set, emit stats to push-based monitoring and stats backends
+      --enable_heartbeat_check                     Enable heartbeat checking, set together with --group_heartbeat_threshold.
+      --gr_port int                                Port to bootstrap a MySQL group. (default 33061)
+      --group_heartbeat_threshold int              VTGR will trigger backoff on inconsistent state if the group heartbeat staleness exceeds this threshold (in seconds). Should be used along with --enable_heartbeat_check.
+      --grpc_auth_static_client_creds string       When using grpc_static_auth in the server, this file provides the credentials to use to authenticate with server.
+      --grpc_compression string                    Which protocol to use for compressing gRPC. Default: nothing. Supported: snappy
+      --grpc_enable_tracing                        Enable gRPC tracing.
+      --grpc_initial_conn_window_size int          gRPC initial connection window size
+      --grpc_initial_window_size int               gRPC initial window size
+      --grpc_keepalive_time duration               After a duration of this time, if the client doesn't see any activity, it pings the server to see if the transport is still alive. (default 10s)
+      --grpc_keepalive_timeout duration            After having pinged for keepalive check, the client waits for a duration of Timeout and if no activity is seen even after that the connection is closed. (default 10s)
+      --grpc_max_message_size int                  Maximum allowed RPC message size. Larger messages will be rejected by gRPC with the error 'exceeding the max size'. (default 16777216)
+      --grpc_prometheus                            Enable gRPC monitoring with Prometheus.
+  -h, --help                                       display usage and exit
+      --keep_logs duration                         keep logs for this long (using ctime) (zero to keep forever)
+      --keep_logs_by_mtime duration                keep logs for this long (using mtime) (zero to keep forever)
+      --log_backtrace_at traceLocation             when logging hits line file:N, emit a stack trace (default :0)
+      --log_dir string                             If non-empty, write log files in this directory
+      --log_err_stacks                             log stack traces for errors
+      --log_rotate_max_size uint                   size in bytes at which logs are rotated (glog.MaxSize) (default 1887436800)
+      --logtostderr                                log to standard error instead of files
+      --ping_tablet_timeout duration               time to wait when we ping a tablet (default 2s)
+      --pprof strings                              enable profiling
+      --purge_logs_interval duration               how often try to remove old logs (default 1h0m0s)
+      --refresh_interval duration                  Refresh interval to load tablets. (default 10s)
+      --remote_operation_timeout duration          time to wait for a remote operation (default 30s)
+      --scan_interval duration                     Scan interval to diagnose and repair. (default 3s)
+      --scan_repair_timeout duration               Time to wait for a Diagnose and repair operation. (default 3s)
+      --security_policy string                     the name of a registered security policy to use for controlling access to URLs - empty means allow all for anyone (built-in policies: deny-all, read-only)
+      --stats_backend string                       The name of the registered push-based monitoring/stats backend to use
+      --stats_combine_dimensions string            List of dimensions to be combined into a single "all" value in exported stats vars
+      --stats_common_tags strings                  Comma-separated list of common tags for the stats backend. It provides both label and values. Example: label1:value1,label2:value2
+      --stats_drop_variables string                Variables to be dropped from the list of exported variables.
+      --stats_emit_period duration                 Interval between emitting stats to all registered backends (default 1m0s)
+      --stderrthreshold severity                   logs at or above this threshold go to stderr (default 1)
+      --tablet_manager_grpc_ca string              the server ca to use to validate servers when connecting
+      --tablet_manager_grpc_cert string            the cert to use to connect
+      --tablet_manager_grpc_concurrency int        concurrency to use to talk to a vttablet server for performance-sensitive RPCs (like ExecuteFetchAs{Dba,AllPrivs,App}) (default 8)
+      --tablet_manager_grpc_connpool_size int      number of tablets to keep tmclient connections open to (default 100)
+      --tablet_manager_grpc_crl string             the server crl to use to validate server certificates when connecting
+      --tablet_manager_grpc_key string             the key to use to connect
+      --tablet_manager_grpc_server_name string     the server name to use to validate server certificate
+      --tablet_manager_protocol string             Protocol to use to make tabletmanager RPCs to vttablets. (default "grpc")
+      --topo_consul_lock_delay duration            LockDelay for consul session. (default 15s)
+      --topo_consul_lock_session_checks string     List of checks for consul session. (default "serfHealth")
+      --topo_consul_lock_session_ttl string        TTL for consul session.
+      --topo_consul_watch_poll_duration duration   time of the long poll for watch queries. (default 30s)
+      --topo_etcd_lease_ttl int                    Lease TTL for locks and leader election. The client will use KeepAlive to keep the lease going. (default 30)
+      --topo_etcd_tls_ca string                    path to the ca to use to validate the server cert when connecting to the etcd topo server
+      --topo_etcd_tls_cert string                  path to the client cert to use to connect to the etcd topo server, requires topo_etcd_tls_key, enables TLS
+      --topo_etcd_tls_key string                   path to the client key to use to connect to the etcd topo server, enables TLS
+      --topo_global_root string                    the path of the global topology data in the global topology server
+      --topo_global_server_address string          the address of the global topology server
+      --topo_implementation string                 the topology implementation to use
+      --topo_zk_auth_file string                   auth to use when connecting to the zk topo server, file contents should be <scheme>:<auth>, e.g., digest:user:pass
+      --topo_zk_base_timeout duration              zk base timeout (see zk.Connect) (default 30s)
+      --topo_zk_max_concurrency int                maximum number of pending requests to send to a Zookeeper server. (default 64)
+      --topo_zk_tls_ca string                      the server ca to use to validate servers when connecting to the zk topo server
+      --topo_zk_tls_cert string                    the cert to use to connect to the zk topo server, requires topo_zk_tls_key, enables TLS
+      --topo_zk_tls_key string                     the key to use to connect to the zk topo server, enables TLS
+      --v Level                                    log level for V logs
+  -v, --version                                    print binary version
+      --vmodule moduleSpec                         comma-separated list of pattern=N settings for file-filtered logging
+      --vtgr_config string                         Config file for vtgr.
